Subject: Re: Help!Some memory doesn't work on PPC405Ex based board!

From: Stefan Roese <[email-masked]>
Date: Tue, 14 Apr 2009 11:23:02 +0200

On Monday 13 April 2009, SunNeo wrote:
> I'm porting Linux-2.6.29 on PPC405Ex based board, it's very similar to AMCC
> "Kilauea" evb.
>
> In my board, two 512MB DDRII memory is connected to 2 ranks of the 405Ex
> CPU. This 1GB memory works well at U-Boot-2009.01, but when I boot
> Linux-2.6.29, the kernel hangs somewhere.

Does it just hang "somewhere", or always at the same location? A random hangup 
could mean that you are having a memory problem (hardware, or wrong 
initialization).

> What interesting is, if I 
> configured the system to use only 512MB memory at U-Boot, the Linux can
> boot normally.

Are you using DIMM's on your platform? Or soldered chips? Which memory 
initialization code are you using in U-Boot? And which autocalibration code?

Did you do some intensive memory test?

Best regards,
Stefan